<app-collection-mediator [service]="cpuService">
    <ng-template #itemTemplate let-model="context">
        <ng-container *ngIf="toItem(model); let item">
            <a class="button collection-item-link" [routerLink]="['/Database/Cpu/', item.id]">
                <img [alt]="item.vendor +  'logo'" [src]="imageLinksService.getCpuImageLink(item.vendor)" class="collection-item-icon" loading="lazy">
                <span class="collection-item-name">
                {{item.modelName}}
            </span>
            </a>
        </ng-container>
    </ng-template>
</app-collection-mediator>



